{% extends "client/client_edit_base.html" %}
{% load alarme_utils %}

{% block right_of_title %}
{% if client and not form.readonly and not user_is_benev %}
<div class="col-auto text-end">
    <button type="button" class="btn btn-outline-secondary openmodal" title="Ajout matériel"
            data-modalurl="{% url 'materielclient-new' client.pk %}">+ matériel</button>
</div>
{% endif %}
{% endblock %}

{% block client_tabs %}
{% if client and not user_is_benev %}
    {% include 'alarme/client_tabs.html' with active='general' readonly=form.readonly %}
{% endif %}
{% endblock %}

{% block client_warnings %}
    {% if install and not user_is_benev %}
        <div class="alert ligne-alarme {% if not install.actuelle %}ancienne {% endif %}mt-2 mb-1 p-2 d-flex justify-content-between">
            <p class="mb-0 align-self-center">
                Appareil installé {% if install.date_debut %}(depuis le {{ install.date_debut|date:'d.m.Y' }}{% if install.date_fin_abo %} <b>jusqu’au {{ install.date_fin_abo|date:'d.m.Y' }}</b>{% endif %}){% endif %}:
                {{ install.alarme }}{% if install.abonnement %}, abo {{ install.abonnement }}{% endif %}
            </p>
            <div>
            {% if install.date_fin_abo is None and not form.readonly %}
             <button type="button" class="btn btn-secondary openmodal" title="Résilier l’installation"
                    data-modalurl="{% url 'install-close' install.pk %}">Résilier…</button>
            {% elif install.date_fin_abo and install.date_fin_abo|date_passed and not form.readonly %}
             <button type="button" class="btn btn-secondary openmodal" title="Éditer la résiliation"
                    data-bs-toggle="tooltip"
                    data-modalurl="{% url 'install-close' install.pk %}">Résiliation…</button>
             <button type="button" class="btn btn-danger openmodal" data-bs-title="Annuler la résiliation"
                    data-bs-toggle="tooltip"
                    data-modalurl="{% url 'install-close-cancel' install.pk %}"
                    data-savelabel="Annuler la résiliation">Annuler…</button>
            {% endif %}
            <!--
            {% if not form.readonly %}
            <button type="button" class="btn btn-secondary openmodal" title="Modifier l’installation"
                    data-modalurl="{% url 'install-edit' install.pk %}">Modifier</button>
            {% endif %}
            -->
            </div>
        </div>
    {% endif %}
    {% if client %}{% if not install or not install.actuelle %}
        <div class="alert alert-secondary mt-2 p-2 d-flex justify-content-between">
            <p class="mb-0 align-self-center">Aucun appareil actuellement en fonction chez ce client.</p>
        </div>
    {% endif %}{% endif %}
    {% for materiel in materiels %}
        <div class="alert ligne-materiel mt-2 p-2 d-flex justify-content-between">
            <p class="mb-0 align-self-center">
                {{ materiel.nom }} {% if materiel.date_debut %}(depuis le {{ materiel.date_debut|date:'d.m.Y' }}){% endif %}{% if materiel.abonnement %}, abo {{ materiel.abonnement }}{% endif %}
            </p>
            {% if not form.readonly and not user_is_benev %}
            <button type="button" class="btn btn-secondary openmodal" title="Modifier"
                    data-modalurl="{% url 'materielclient-edit' materiel.pk %}">Modifier</button>
            {% endif %}
        </div>
    {% endfor %}

    {% if client and not user_is_benev %}
        {% for mission in missions %}
        <div class="alert alert-warning mt-2 p-2 d-flex justify-content-between">
            <p class="mb-0 align-self-center">
                {{ mission.type_mission }} : {{ mission.description }}
                {% if mission.delai %}<br>Délai : {{ mission.delai|date:'d.m.Y' }}{% endif %}
            </p>
            {% if not form.readonly %}
            <button type="button" class="btn btn-secondary openmodal" title="Modifier l’intervention"
                    data-modalurl="{% url 'mission-edit' mission.pk %}"
                    {% if perms.alarme.delete_mission %}
                    data-deleteurl="{% url 'mission-delete' mission.pk %}"
                    data-deleteconfirm="Voulez-vous vraiment annuler cette intervention ?"
                    {% endif %}>Modifier</button>
            {% endif %}
        </div>
        {% endfor %}
    {% endif %}
    {% if client and client.date_tout_debut %}
    <p class="fst-italic text-end mb-2"><small>1ère mise en service : {{ client.date_tout_debut|date:'d.m.Y' }}</small></p>
    {% endif %}
{% endblock %}

{% block custom_fields %}
<div class="row mb-2">
  <div class="col">
      <div class="form-group">
         {{ form.boitier_cle.label_tag }} {{ form.boitier_cle.errors }} {{ form.boitier_cle }}
      </div>
  </div>
  {% if not form.readonly %}
  <div class="col">
      <div class="form-group">
        {{ form.cles.label_tag }} {{ form.cles.errors }} {{ form.cles }}
      </div>
  </div>
  {% endif %}
</div>

<div class="form-group mb-3">
    {{ form.situation_vie.label_tag }}
    <div id="id_situation_choix" class="d-flex flex-wrap">
    {% for choice in form.situation_choix %}
      <div>{{ choice.tag }} <label for="id_situation_choix_{{ forloop.counter0 }}">{{ choice.choice_label }}</label>
        {% if forloop.last %}{{ form.situation_autre }}{% endif %}
      </div>
    {% endfor %}
    </div>
    {{ form.situation_vie }}
</div>

<div class="row mb-2 align-items-end">
  <div class="col">
      <div class="form-group">
         {{ form.animal_comp.label_tag }} {{ form.animal_comp.errors }} {{ form.animal_comp }}
      </div>
  </div>
  {% if not form.readonly %}
  <div class="col">
      <button class="btn btn-secondary openmodal {% if not client.pk %}disabled{% endif %}"
              title="Édition des données médicales"
              {% if client.pk %}data-modalurl="{% url 'client-donneesmedicales' client.pk %}"{% endif %}>Données médicales…</button>
  </div>
  {% endif %}
</div>

{% if form.prest_compl %}
<div class="row mb-2 align-items-end">
  <div class="col">
    <div class="form-group no_debiteur_client">
        {{ form.no_debiteur.label_tag }} {{ form.no_debiteur.errors }} {{ form.no_debiteur }}
    </div>
  </div>
  <div class="col">
    <div class="form-group prest_compl">
        {{ form.prest_compl.errors }} {{ form.prest_compl }}
        <label for="id_prest_compl">Reçoit des prestations complémentaires</label>
    </div>
    <div class="form-group envoi_factures">
        {{ form.envoi_facture.errors }} {{ form.envoi_facture }} {{ form.envoi_facture.label_tag|strip_colon }}
    </div>
    <div class="form-group accord_police">
        {{ form.accord_police.errors }} {{ form.accord_police }} {{ form.accord_police.label_tag|strip_colon }}
    </div>
  </div>
</div>
{% endif %}
{% if form.date_deces %}
<div class="row form-group mb-3">
    <div class="col-6">{{ form.visiteur.label_tag }} {{ form.visiteur.errors }} {{ form.visiteur }}</div>
    {% if form.courrier_envoye %}
    <div class="col form-group pt-3">
        {{ form.courrier_envoye.errors }} {{ form.courrier_envoye }} {{ form.courrier_envoye.label_tag|strip_colon }}
        {% if client and not client.courrier_envoye %}
        <a href="{% url 'client-courrier' client.pk %}" target="_blank" class="ms-3" title="Courrier pour le client (PDF)">
            <img class="icon" src="{% static 'ficons/pdf.svg' %}">
        </a>
        {% endif %}
    </div>
    {% endif %}
</div>
{% endif %}

<div class="row mb-2">
    <div class="col form-group">
        {{ form.spec_alarme.label_tag }} {{ form.spec_alarme.errors }} {{ form.spec_alarme }}
    </div>
    <div class="col">{{ form.date_deces.label_tag }} {{ form.date_deces.errors }} {{ form.date_deces }}</div>
</div>
{% endblock %}

{% block underform_left %}
    <div class="d-flex justify-content-between block-header">
        <h3>Médecins/Soignant-e-s</h3>
        {% if not form.readonly %}
        <button type="button" id="new_prof_button" class="btn btn-secondary openmodal" title="Nouveau professionnel de santé"
                data-modalurl="{% url 'client-professionnel-add' client.pk %}">+</button>
        {% endif %}
    </div>
    <div id="client-professionnels" class="list-group">
    {% for prof in professionnels %}
        <a href="{% url 'client-professionnel-edit' client.pk prof.pk %}"
           class="list-group-item list-group-item-action openmodal"
           title="Édition du professionnel">
            {{ prof.professionnel.nom }}, {{ prof.professionnel.npa }} {{ prof.professionnel.localite }},
            {{ prof.professionnel.tel_1 }}
            {% if prof.remarque %}
            <br><span class="referent-fonction">{{ prof.remarque }}</span>
            {% endif %}
       </a>
    {% endfor %}
    </div>
    {{ block.super }}
{% endblock %}

{% block underform2_right %}
    {% if not form.readonly %}
      <div class="col-md-6 mt-3">
          {% if not client.type_logement == 'ape' %}
          <div class="mb-2">
              <a href="{% url 'client-questionnaire' client.pk %}" class="btn btn-secondary">
                  Questionnaire PDF (version actuelle)
              </a>
              <a href="{% url 'client-questionnaire-signer' client.pk %}" class="btn btn-secondary">
                  Questionnaire pour signature
              </a>
          </div>
          <div class="mb-2">
              <a href="{% url 'client-contrat' client.pk %}" class="btn btn-secondary">Contrat PDF (version actuelle)</a>
              <a href="{% url 'client-contrat-signer' client.pk %}" class="btn btn-secondary">
                  Contrat pour signature
              </a>
          </div>
          {% endif %}
          <a href="{% url 'client-envoicentrale' client.pk %}" class="btn btn-secondary mt-3"
             title="Envoyer un courriel à la centrale avec les dernières infos du client">Envoi à la centrale…</a>
      </div>
    {% endif %}
{% endblock %}
